Put Organization Maven Settings
https://app.fossa.com/api/organizations/{id}/settings/languages/mvnUpdate authentication settings for Maven
Path parameters
idintegerrequiredOrganization ID
Request body · application/json
repositoriesobject[]List of configured Maven Repositories
_idnumberUUID of the Maven repo (For FOSSA internal usage)
idstringUser configured ID (corresponds with a Maven Server if credentials are necessary)
urlstringURL of the Maven Repository
serversobject[]List of configured Credentials for Maven Repositories
_idnumberUUID of the Maven Server (For FOSSA internal usage)
idstringUser configured ID (corresponds with a Maven Repository)
usernamestringUsername for authenticating to the Maven repository
passwordobject__typeenumsvaluestringhasPasswordbooleanUsed when an existing password is obfuscated in the response
Responses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
500Server ErroruuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/languages/mvncurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/languages/mvn' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "repositories": [ { "_id": "00000000-0000-0000-0000-000000000000", "id": "Maven Private Server", "url": "www.privatemaven.com/mvn" } ], "servers": [ { "_id": "00000000-0000-0000-0000-000000000001", "id": "Maven Private Server", "username": "mvn_user", "password": { "__type": "s", "value": "secretPassword" } } ]}'Real request. Mutating methods can change data.
Path params
idintegerrequiredOrganization ID